Bug 215565 - php5 htmlspecialchars() and htmlentities() functions vulnerable to buffer overflow allowing arbitrary remote code execution
php5 htmlspecialchars() and htmlentities() functions vulnerable to buffer ove...
Status: CLOSED DUPLICATE of bug 214391
Product: Fedora Legacy
Classification: Retired
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Depends On:
  Show dependency treegraph
Reported: 2006-11-14 12:22 EST by Jeff MacDonald
Modified: 2007-04-18 13:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-15 02:26:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff MacDonald 2006-11-14 12:22:16 EST
Description of problem:

versions of php5 prior to 5.2 have a vulnerability which allows "arbitrary
remote code execution via the htmlspecialchars() and htmlentities() functions to
do assumpmtions regarding the length of a valid htmlentity.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 David Eisenstein 2006-11-15 02:26:04 EST
This issue is CVE-2006-5465, which is being worked on in Bug #214391.
Thanks for your submission!  :)

*** This bug has been marked as a duplicate of 214391 ***

Note You need to log in before you can comment on or make changes to this bug.